<?php

namespace Database\Seeders;

use App\Models\OptIn;
use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;

class OptInSeeder extends Seeder
{
    public $types = [
        'Email',
        'Sms',
        'Phone Call',
        'Post',
        'Video Call (for BSL users)'
    ];

    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        foreach ($this->types as $type) {
            OptIn::create([
                'display_name' => $type,
            ]);
        }
    }
}
